> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passform.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1templates

> Upsert a template



## OpenAPI

````yaml /api-reference/openapi.json post /v1/templates/{templateId}
openapi: 3.1.0
info:
  title: Passform API
  description: The Passform API for creating Google and Apple wallet passes
  version: 0.1.0
servers:
  - url: https://api.passform.io
security: []
tags:
  - name: auth
    description: Routes for managing API keys
  - name: templates
    description: >-
      Templates represent the appearance of a pass. They include information on
      things such as icons, images, colours and text. A template is used by a
      pass to define how the pass should look and behave.
  - name: passes
    description: >-
      A pass is an individual instance based on a template. It contains details
      that are specific to its instance.
  - name: apple
    description: >-
      Routes used by apple to update passes and manage devices associated to
      passes.
externalDocs:
  url: https://swagger.io
  description: Find more info here
paths:
  /v1/templates/{templateId}:
    post:
      tags:
        - templates
      description: Upsert a template
      parameters:
        - schema:
            type: string
          in: query
          name: accountId
          required: false
        - schema:
            type: string
          in: path
          name: templateId
          required: true
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - examples:
                    - foregroundColor: '#FFFFF'
                      backgroundColor: '#043A80'
                      logo: https://myshout.co/images/logo-white.svg
                      background: https://myshout.co/images/backgrounds/image-62.jpg
                      icon: https://myshout.co/images/favicon-150.png
                      title: My Shout Drink Voucher
                      issuerName: My Shout
                      sharingProhibited: false
                      fields:
                        - key: voucher
                          label: free drinks
                          value: '1'
                      backFields:
                        - key: terms
                          label: Terms and Condictions
                          value: https://myshout.co/terms
                  type: object
                  properties:
                    foregroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple and Web Only) A hex or rgb value providing the
                        foreground color. This is used for font color
                      type: string
                    backgroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: A hex or rgb value providing the foreground color
                      type: string
                    labelColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple Only) A hex or rgb value providing the label
                        color. If unset then the foreground color is used.
                      type: string
                    icon:
                      description: A url to an image of size X by Y.
                      type: string
                    logo:
                      description: The icon but with text and doesnt need to be square
                      type: string
                    banner:
                      description: >-
                        (Google, Apple Only) A url to an image of size X by Y.
                        Also used in link previews.
                      type: string
                    background:
                      description: >-
                        (Web Only) A url to an image that is displayed as the
                        background. If this is not provided then backgroundColor
                        is used.
                      type: string
                    title:
                      description: The title displayed on the pass.
                      minLength: 1
                      type: string
                    issuerName:
                      description: The name of the issuer.
                      minLength: 1
                      type: string
                    sharingProhibited:
                      description: Disable sharing from mobile wallets
                      type: boolean
                    type:
                      type: string
                      enum:
                        - offer
                    fields:
                      maxItems: 4
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                    backFields:
                      description: The values can be text, numbers or urls.
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                  required:
                    - foregroundColor
                    - backgroundColor
                    - icon
                    - logo
                    - banner
                    - title
                    - issuerName
                - type: object
                  properties:
                    foregroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple and Web Only) A hex or rgb value providing the
                        foreground color. This is used for font color
                      type: string
                    backgroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: A hex or rgb value providing the foreground color
                      type: string
                    labelColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple Only) A hex or rgb value providing the label
                        color. If unset then the foreground color is used.
                      type: string
                    icon:
                      description: A url to an image of size X by Y.
                      type: string
                    logo:
                      description: The icon but with text and doesnt need to be square
                      type: string
                    banner:
                      description: >-
                        (Google, Apple Only) A url to an image of size X by Y.
                        Also used in link previews.
                      type: string
                    background:
                      description: >-
                        (Web Only) A url to an image that is displayed as the
                        background. If this is not provided then backgroundColor
                        is used.
                      type: string
                    title:
                      description: The title displayed on the pass.
                      minLength: 1
                      type: string
                    issuerName:
                      description: The name of the issuer.
                      minLength: 1
                      type: string
                    sharingProhibited:
                      description: Disable sharing from mobile wallets
                      type: boolean
                    type:
                      type: string
                      enum:
                        - event
                    startDate:
                      description: The UTC date at which the event starts.
                      type: string
                    location:
                      examples:
                        - name: Spark Arena
                          address: >-
                            42/80 Mahuhu Crescent, Parnell, Auckland 1010, New
                            Zealand
                          latitude: -36.847136000000006
                          longitued: 174.7769837
                      type: object
                      properties:
                        name:
                          description: The name of the location where the event is held.
                          type: string
                        address:
                          description: The address of the location where the event is held.
                          type: string
                        latitude:
                          description: The latitude of the location.
                          type: number
                        longitude:
                          description: The longitude of the location.
                          type: number
                      required:
                        - address
                        - latitude
                        - longitude
                    fields:
                      maxItems: 4
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                    backFields:
                      description: The values can be text, numbers or urls.
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                  required:
                    - foregroundColor
                    - backgroundColor
                    - icon
                    - logo
                    - banner
                    - title
                    - issuerName
                    - type
                    - startDate
                - type: object
                  properties:
                    foregroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple and Web Only) A hex or rgb value providing the
                        foreground color. This is used for font color
                      type: string
                    backgroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: A hex or rgb value providing the foreground color
                      type: string
                    labelColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple Only) A hex or rgb value providing the label
                        color. If unset then the foreground color is used.
                      type: string
                    icon:
                      description: A url to an image of size X by Y.
                      type: string
                    logo:
                      description: The icon but with text and doesnt need to be square
                      type: string
                    banner:
                      description: >-
                        (Google, Apple Only) A url to an image of size X by Y.
                        Also used in link previews.
                      type: string
                    background:
                      description: >-
                        (Web Only) A url to an image that is displayed as the
                        background. If this is not provided then backgroundColor
                        is used.
                      type: string
                    title:
                      description: The title displayed on the pass.
                      minLength: 1
                      type: string
                    issuerName:
                      description: The name of the issuer.
                      minLength: 1
                      type: string
                    sharingProhibited:
                      description: Disable sharing from mobile wallets
                      type: boolean
                    type:
                      type: string
                      enum:
                        - generic
                    primaryLabel:
                      description: The label that goes with the primary value of a pass
                      minLength: 1
                      type: string
                    thumbnail:
                      description: >-
                        (Apple Only) An image along side the primary field. This
                        is displayed instead of a banner in Apple Wallet.
                      type: string
                    fields:
                      maxItems: 4
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                    backFields:
                      description: The values can be text, numbers or urls.
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                  required:
                    - foregroundColor
                    - backgroundColor
                    - icon
                    - logo
                    - banner
                    - title
                    - issuerName
                    - type
                    - primaryLabel
                    - thumbnail
                - type: object
                  properties:
                    foregroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple and Web Only) A hex or rgb value providing the
                        foreground color. This is used for font color
                      type: string
                    backgroundColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: A hex or rgb value providing the foreground color
                      type: string
                    labelColor:
                      pattern: >-
                        ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                      description: >-
                        (Apple Only) A hex or rgb value providing the label
                        color. If unset then the foreground color is used.
                      type: string
                    icon:
                      description: A url to an image of size X by Y.
                      type: string
                    logo:
                      description: The icon but with text and doesnt need to be square
                      type: string
                    banner:
                      description: >-
                        (Google, Apple Only) A url to an image of size X by Y.
                        Also used in link previews.
                      type: string
                    background:
                      description: >-
                        (Web Only) A url to an image that is displayed as the
                        background. If this is not provided then backgroundColor
                        is used.
                      type: string
                    title:
                      description: The title displayed on the pass.
                      minLength: 1
                      type: string
                    issuerName:
                      description: The name of the issuer.
                      minLength: 1
                      type: string
                    sharingProhibited:
                      description: Disable sharing from mobile wallets
                      type: boolean
                    type:
                      type: string
                      enum:
                        - membership
                    primaryLabel:
                      description: The label that goes with the primary value of a pass
                      minLength: 1
                      type: string
                    fields:
                      maxItems: 4
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                    backFields:
                      description: The values can be text, numbers or urls.
                      type: array
                      items:
                        description: >-
                          A field that is displayed in a voucher, that is
                          identified by the key. It can be defined in a template
                          and overwritten in a pass
                        examples:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        type: object
                        properties:
                          key:
                            description: >-
                              The identifier of the field. This is not presented
                              to the user.
                            type: string
                          label:
                            description: The label to go with the value.
                            type: string
                          value:
                            description: The data to display.
                            type: string
                        required:
                          - key
                          - label
                          - value
                  required:
                    - foregroundColor
                    - backgroundColor
                    - icon
                    - logo
                    - banner
                    - title
                    - issuerName
                    - type
                    - primaryLabel
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    title: Template
                    description: >-
                      A template is the basis of a pass it defines the
                      appearance of a pass and properties that don't change
                      between instances of passes.
                    examples:
                      - id: drink_voucher
                        accountId: LDvGjp645u6Q6t9pbvog
                        foregroundColor: '#FFFFF'
                        backgroundColor: '#043A80'
                        logo: https://myshout.co/images/logo-white.svg
                        background: https://myshout.co/images/backgrounds/image-62.jpg
                        icon: https://myshout.co/images/favicon-150.png
                        title: My Shout Drink Voucher
                        issuerName: My Shout
                        sharingProhibited: false
                        fields:
                          - key: voucher
                            label: free drinks
                            value: '1'
                        backFields:
                          - key: terms
                            label: Terms and Condictions
                            value: https://myshout.co/terms
                    properties:
                      foregroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple and Web Only) A hex or rgb value providing the
                          foreground color. This is used for font color
                        type: string
                      backgroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: A hex or rgb value providing the foreground color
                        type: string
                      labelColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple Only) A hex or rgb value providing the label
                          color. If unset then the foreground color is used.
                        type: string
                      icon:
                        description: A url to an image of size X by Y.
                        type: string
                      logo:
                        description: The icon but with text and doesnt need to be square
                        type: string
                      banner:
                        description: >-
                          (Google, Apple Only) A url to an image of size X by Y.
                          Also used in link previews.
                        type: string
                      background:
                        description: >-
                          (Web Only) A url to an image that is displayed as the
                          background. If this is not provided then
                          backgroundColor is used.
                        type: string
                      title:
                        description: The title displayed on the pass.
                        minLength: 1
                        type: string
                      issuerName:
                        description: The name of the issuer.
                        minLength: 1
                        type: string
                      sharingProhibited:
                        description: Disable sharing from mobile wallets
                        type: boolean
                      type:
                        type: string
                        enum:
                          - offer
                      fields:
                        maxItems: 4
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      backFields:
                        description: The values can be text, numbers or urls.
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      id:
                        description: Id is a unique identifier for the template
                        type: string
                      accountId:
                        description: Account Id is the account the template belongs to
                        type: string
                    required:
                      - foregroundColor
                      - backgroundColor
                      - icon
                      - logo
                      - banner
                      - title
                      - issuerName
                      - id
                      - accountId
                  - type: object
                    properties:
                      foregroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple and Web Only) A hex or rgb value providing the
                          foreground color. This is used for font color
                        type: string
                      backgroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: A hex or rgb value providing the foreground color
                        type: string
                      labelColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple Only) A hex or rgb value providing the label
                          color. If unset then the foreground color is used.
                        type: string
                      icon:
                        description: A url to an image of size X by Y.
                        type: string
                      logo:
                        description: The icon but with text and doesnt need to be square
                        type: string
                      banner:
                        description: >-
                          (Google, Apple Only) A url to an image of size X by Y.
                          Also used in link previews.
                        type: string
                      background:
                        description: >-
                          (Web Only) A url to an image that is displayed as the
                          background. If this is not provided then
                          backgroundColor is used.
                        type: string
                      title:
                        description: The title displayed on the pass.
                        minLength: 1
                        type: string
                      issuerName:
                        description: The name of the issuer.
                        minLength: 1
                        type: string
                      sharingProhibited:
                        description: Disable sharing from mobile wallets
                        type: boolean
                      type:
                        type: string
                        enum:
                          - event
                      startDate:
                        description: The UTC date at which the event starts.
                        type: string
                      location:
                        examples:
                          - name: Spark Arena
                            address: >-
                              42/80 Mahuhu Crescent, Parnell, Auckland 1010, New
                              Zealand
                            latitude: -36.847136000000006
                            longitued: 174.7769837
                        type: object
                        properties:
                          name:
                            description: The name of the location where the event is held.
                            type: string
                          address:
                            description: >-
                              The address of the location where the event is
                              held.
                            type: string
                          latitude:
                            description: The latitude of the location.
                            type: number
                          longitude:
                            description: The longitude of the location.
                            type: number
                        required:
                          - address
                          - latitude
                          - longitude
                      fields:
                        maxItems: 4
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      backFields:
                        description: The values can be text, numbers or urls.
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      id:
                        description: Id is a unique identifier for the template
                        type: string
                      accountId:
                        description: Account Id is the account the template belongs to
                        type: string
                    required:
                      - foregroundColor
                      - backgroundColor
                      - icon
                      - logo
                      - banner
                      - title
                      - issuerName
                      - type
                      - startDate
                      - id
                      - accountId
                  - type: object
                    properties:
                      foregroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple and Web Only) A hex or rgb value providing the
                          foreground color. This is used for font color
                        type: string
                      backgroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: A hex or rgb value providing the foreground color
                        type: string
                      labelColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple Only) A hex or rgb value providing the label
                          color. If unset then the foreground color is used.
                        type: string
                      icon:
                        description: A url to an image of size X by Y.
                        type: string
                      logo:
                        description: The icon but with text and doesnt need to be square
                        type: string
                      banner:
                        description: >-
                          (Google, Apple Only) A url to an image of size X by Y.
                          Also used in link previews.
                        type: string
                      background:
                        description: >-
                          (Web Only) A url to an image that is displayed as the
                          background. If this is not provided then
                          backgroundColor is used.
                        type: string
                      title:
                        description: The title displayed on the pass.
                        minLength: 1
                        type: string
                      issuerName:
                        description: The name of the issuer.
                        minLength: 1
                        type: string
                      sharingProhibited:
                        description: Disable sharing from mobile wallets
                        type: boolean
                      type:
                        type: string
                        enum:
                          - generic
                      primaryLabel:
                        description: The label that goes with the primary value of a pass
                        minLength: 1
                        type: string
                      thumbnail:
                        description: >-
                          (Apple Only) An image along side the primary field.
                          This is displayed instead of a banner in Apple Wallet.
                        type: string
                      fields:
                        maxItems: 4
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      backFields:
                        description: The values can be text, numbers or urls.
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      id:
                        description: Id is a unique identifier for the template
                        type: string
                      accountId:
                        description: Account Id is the account the template belongs to
                        type: string
                    required:
                      - foregroundColor
                      - backgroundColor
                      - icon
                      - logo
                      - banner
                      - title
                      - issuerName
                      - type
                      - primaryLabel
                      - thumbnail
                      - id
                      - accountId
                  - type: object
                    properties:
                      foregroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple and Web Only) A hex or rgb value providing the
                          foreground color. This is used for font color
                        type: string
                      backgroundColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: A hex or rgb value providing the foreground color
                        type: string
                      labelColor:
                        pattern: >-
                          ^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$
                        description: >-
                          (Apple Only) A hex or rgb value providing the label
                          color. If unset then the foreground color is used.
                        type: string
                      icon:
                        description: A url to an image of size X by Y.
                        type: string
                      logo:
                        description: The icon but with text and doesnt need to be square
                        type: string
                      banner:
                        description: >-
                          (Google, Apple Only) A url to an image of size X by Y.
                          Also used in link previews.
                        type: string
                      background:
                        description: >-
                          (Web Only) A url to an image that is displayed as the
                          background. If this is not provided then
                          backgroundColor is used.
                        type: string
                      title:
                        description: The title displayed on the pass.
                        minLength: 1
                        type: string
                      issuerName:
                        description: The name of the issuer.
                        minLength: 1
                        type: string
                      sharingProhibited:
                        description: Disable sharing from mobile wallets
                        type: boolean
                      type:
                        type: string
                        enum:
                          - membership
                      primaryLabel:
                        description: The label that goes with the primary value of a pass
                        minLength: 1
                        type: string
                      fields:
                        maxItems: 4
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      backFields:
                        description: The values can be text, numbers or urls.
                        type: array
                        items:
                          description: >-
                            A field that is displayed in a voucher, that is
                            identified by the key. It can be defined in a
                            template and overwritten in a pass
                          examples:
                            - key: voucher
                              label: free drinks
                              value: '1'
                          type: object
                          properties:
                            key:
                              description: >-
                                The identifier of the field. This is not
                                presented to the user.
                              type: string
                            label:
                              description: The label to go with the value.
                              type: string
                            value:
                              description: The data to display.
                              type: string
                          required:
                            - key
                            - label
                            - value
                      id:
                        description: Id is a unique identifier for the template
                        type: string
                      accountId:
                        description: Account Id is the account the template belongs to
                        type: string
                    required:
                      - foregroundColor
                      - backgroundColor
                      - icon
                      - logo
                      - banner
                      - title
                      - issuerName
                      - type
                      - primaryLabel
                      - id
                      - accountId
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
      security:
        - bearerAuth: []
components:
  schemas:
    def-0:
      type: object
      properties:
        statusCode:
          type: number
        code:
          type: string
        error:
          type: string
        message:
          type: string
      title: HttpError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````